For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList workflows
      • POSTCreate a workflow
      • GETGet a workflow
      • PATCHUpdate a workflow
      • POSTTrigger a workflow
      • GETGet session workflow run
      • GETList available verification policies
      • GETList workflow versions
      • GETGet workflow analytics
      • POSTSet a workflow as default
      • POSTDeactivate a workflow
      • GETList workflow drafts
      • GETGet a workflow draft
      • GETDiff a draft against the current workflow
      • POSTDry-run a workflow draft
      • POSTPublish a workflow draft
      • POSTDry-run a workflow
      • GETGet workflow rollout map
      • PUTUpdate workflow rollout map
      • POSTClone a workflow
      • GETList verification policies
API ReferenceWorkflows

List workflow drafts

GET
https://devapi.withverifa.com/api/v1/workflows/:workflow_id/drafts
GET
/api/v1/workflows/:workflow_id/drafts
$curl https://devapi.withverifa.com/api/v1/workflows/workflow_id/drafts \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": "draft_8f3a2b7c9d4e",
5 "workflow_id": "workflow_12345abcde",
6 "forked_from_version": 3,
7 "name": "Identity Verification Update",
8 "description": "Draft with enhanced document checks and updated user flow.",
9 "graph": {
10 "nodes": [
11 {
12 "id": "node_1",
13 "type": "start",
14 "label": "Start Verification"
15 },
16 {
17 "id": "node_2",
18 "type": "document_check",
19 "label": "Document Authenticity Check"
20 }
21 ],
22 "edges": [
23 {
24 "from": "node_1",
25 "to": "node_2"
26 }
27 ]
28 },
29 "graph_layout": {
30 "positions": {
31 "node_1": {
32 "x": 100,
33 "y": 200
34 },
35 "node_2": {
36 "x": 300,
37 "y": 200
38 }
39 }
40 },
41 "data_requirements": {
42 "required_fields": [
43 "first_name",
44 "last_name",
45 "date_of_birth",
46 "document_number"
47 ]
48 },
49 "purpose": "Enhance verification accuracy with additional document checks.",
50 "compliance_level": "high",
51 "created_by": "jane.doe@withverifa.com",
52 "created_at": "2024-01-15T09:30:00Z",
53 "updated_at": "2024-01-20T14:45:00Z"
54 }
55 ]
56}

Returns all drafts that have been forked from this workflow but not yet published.

Required scope: workflows:read

Was this page helpful?
Previous

Get a workflow draft

Next
Built with

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Path parameters

workflow_idstringRequired

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Key-InflectionenumOptionalDefaults to snake

Response key casing. Defaults to snake.

Allowed values:

Response

List of drafts.
datalist of objects

Errors

401
Unauthorized Error
404
Not Found Error